/* Styles pour la version desktop */
.home {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    padding: 32px 32px 32px 32px;
    gap: 1rem;
    margin-left: 350px;
    width: 60%;
    padding-left: 2rem;
}

.home-img {
    width: 40%;
    height: auto;
    margin-right: 40px;
    border-radius: 10px;
}

.home-texte h1 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.home-texte h2 {
    position: relative;
    padding-left: 1px;
    margin-bottom: 1rem;
}

.home-texte p {
    margin-bottom: 2rem;
}

.cta {
    display: inline-block;
    background: linear-gradient(#cf8d00, #e5b266);
    color: white;
    border-radius: 50px;
    padding: 20px 30px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.199);
}

.cta:hover {
    background: linear-gradient(#b37a00, #c89647);
    text-decoration: none;
}

.prenom {
    color: #b37a00;
}

.cv-video {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    padding: 32px 32px 32px 32px;
    gap: 1rem;
    margin-left: 350px;
    width: 60%;
    padding-left: 2rem;
}

.cv-video p {
    margin-bottom: 2rem;
}

video {
    max-width: 50%;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}

/* Media queries pour rendre le site responsive */

@media screen and (max-width: 1000px) {
    .home {
        margin-left: 0;
        width: 100%;
        padding-left: 1rem;
    
        flex-direction: column;
        align-items: flex-start;
        padding: 20px;
    
    }
    

    .home-img {
        width: 100%;
        margin-right: 0;
        margin-bottom: 1rem;
    }

    .home-texte {
        width: 100%;
    }

    .cta {
        padding: 15px 20px;
    }

    .cv-video {
        margin-top:650px;
        margin-left: 0;
        width: 100%;
        padding-left: 1rem;
        flex-direction: column;
        align-items: flex-start;
        padding: 20px;
    }

    video {
        max-width: 100%;
    }
}

@media screen and (max-width: 450px) {
    .home {
        flex-direction: column;
        align-items: flex-start;
        padding: 20px;
    }

    .home-img {
        width: 100%;
        margin-right: 0;
        margin-bottom: 1rem;
    }

    .home-texte {
        width: 100%;
    }

    .cta {
        padding: 15px 20px;
    }

    .cv-video {
        flex-direction: column;
        align-items: flex-start;
        padding: 20px;
        margin-top: 300px;
    }

    video {
        max-width: 100%;
    }
}

#chatIcon img{
    width: 50%;
}

#chatIcon {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #ff5900;
    color: #fff;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
  
#chatBox {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 300px;
    background-color: #fff;
    border: 1px solid #ccc;
    display: none;

}
  
#chatHeader {
    background-color: #ff5900;
    color: #fff;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
  
#chatHeader button {
    background: none;
    border: none;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
}
  
#chatArea {
    height: 200px;
    overflow-y: auto;
    padding: 10px;
}
  
#messageInput {
    width: calc(100% - 80px);
    padding: 10px;
    border: 1px solid #ccc;
}
  
#sendButton {
    width: 70px;
    padding: 10px;
    background-color: #ff5900;
    color: #fff;
    border: none;
    cursor: pointer;
}
  